package sistema;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class Upload {
    
    public static boolean executar(ArquivoUpload arquivo, String destino) {
        try {
            String caminho = destino + "/" + arquivo.getNomeFisico();

            File novoArquivo = new File(caminho);
            FileOutputStream arquivoDestino = new FileOutputStream(novoArquivo);
            return copiar(arquivo.getInputStream(), arquivoDestino);
        }
        catch(Exception e) {
            System.out.println("Erro ao fazer upload do arquivo");
            System.out.println(e.getMessage());
            return false;
        }
    }
    
    private static boolean copiar(InputStream origem, OutputStream destino) {
        int b = 0;
        byte[] tamanho = new byte[1024 * 8]; // 8Kb 
        
        try {
            while((b = origem.read(tamanho)) >= 0) {
                destino.write(tamanho, 0, b);
            }
            destino.close();
            return true;
        } catch(IOException e ) {
            System.out.println("Erro ao copiar arquivo.");
            System.out.println(e.getMessage());
            return false;
        }
    }
    
    
}
